<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@page import="mac5855.app.models.Categoria"%>
<%@page import="mac5855.app.dao.CategoriaDAO"%>
<%@page import="mac5855.app.dao.DAOFactory"%>
<%@page import="mac5855.app.dao.PerguntaDAO"%>
<%@page import="mac5855.app.models.Pergunta"%>
<%@page import="mac5855.app.dao.DenunciaDAO"%>
<%@page import="java.text.NumberFormat"%><html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Untitled Document</title>
<link href="/PerguntaResposta/css/style.css" media="all" type="text/css" rel="stylesheet" />
</head>

<body>

<div id="centralizer">
	<jsp:include page="/header.jsp"></jsp:include>
    
    <div id="home" class="content">
        <div class="category_box">
        	<h3>Categorias</h3>
            <div class="dashed_separator"></div>
        	<ul>
        		<% CategoriaDAO dao = DAOFactory.getDAOFactory(DAOFactory.JDBC).getCategoriaDAO();
				Categoria[] categorias = dao.findAll();
				for (Categoria categoria : categorias ) { %>
						<li>
        			<a href="/PerguntaResposta/controller?business=PerguntaController&action=show_category&id=<%= categoria.getId() %>">
					<%= categoria.getNome() %>
					</a>
					</li>         		
        		<% } %>
        		<li>
        			<a href="/PerguntaResposta/controller?business=PerguntaController&action=search&search=">
					Todos
					</a>
					</li>
            </ul>
        </div>
        
        <div class="search_box">
        	<form action="/PerguntaResposta/controller?business=PerguntaController" method="post">
	        	<h3>Buscar uma Pergunta</h3>
	            <div class="dashed_separator"></div>
	            <input type="hidden" name="action" value="search"/>
	           	<input type="text" class="input_text" name="search"/>
	           	<% if(request.getParameter("categoria_id") != null) {  %>
	           		<input type="hidden" name="categoria_id" value="<%= request.getParameter("categoria_id") %>"/>
	           	<% } %>
	           	<input type="submit" class="input_button" value="Buscar" />
           	</form>
        </div>
        
        <div class="question_list_box">
            <h3>Resultados da Busca</h3>
            <div class="dashed_separator"></div>
        	<ul>
            	<% PerguntaDAO perguntaDAO = DAOFactory.getDAOFactory(1).getPerguntaDAO();
            	Pergunta[] perguntas;
            	if (request.getParameter("tipo") == null) {
            		perguntas = perguntaDAO.findAll();
            	}
            	else if(request.getParameter("tipo").equals("titulo"))
            	{
            		Integer categoria_id = (request.getParameter("categoria_id") != null) ? Integer.parseInt(request.getParameter("categoria_id")) : null;
					perguntas = perguntaDAO.findAllByTituloAndCategoria(request.getParameter("titulo"), categoria_id );
            	}
            	else
            	{
            		perguntas = perguntaDAO.findByCategoriaId(Integer.parseInt(request.getParameter("categoria_id")));
            	}
					int i = 0;
					DenunciaDAO denunciaDAO = DAOFactory.getDAOFactory(1).getDenunciaDAO(); 
					for(Pergunta pergunta : perguntas) {
						int num = denunciaDAO.findNumDenunciasPergunta(pergunta.getId());
						String liClass = ((i % 2) == 0) ? "colored" : "";
						i++;
        			%>
            	<li class="<%= liClass %>">
                	<div>Número de Denúncias: <%= num %>
                	<img src="/PerguntaResposta/css/thumb_up.gif" />
                	<% double numPorcentagem = ((pergunta.getVotoNegativo()+pergunta.getVotoPositivo()) > 0) ? (pergunta.getVotoPositivo().doubleValue()/(pergunta.getVotoNegativo().doubleValue()+pergunta.getVotoPositivo().doubleValue())) : 0;
                	NumberFormat formatter = NumberFormat.getPercentInstance();
    				String porcentagem = formatter.format(numPorcentagem); %>
                	<%= porcentagem %>
                	<img src="/PerguntaResposta/css/thumb_down.gif" />
                	<% numPorcentagem = ((pergunta.getVotoNegativo()+pergunta.getVotoPositivo()) > 0) ? (pergunta.getVotoNegativo().doubleValue()/(pergunta.getVotoNegativo().doubleValue()+pergunta.getVotoPositivo().doubleValue())) : 0;
                	formatter = NumberFormat.getPercentInstance();
    				porcentagem = formatter.format(numPorcentagem); %>
                	<%= porcentagem %>
                	  <a href="/PerguntaResposta/controller?business=PerguntaController&action=del_Pergunta&id=<%= pergunta.getId() %>">Deletar </a>
                	</div>
                    <a href="/PerguntaResposta/controller?business=PerguntaController&action=showAdmin&id=<%= pergunta.getId() %>"><%= pergunta.getTitulo() %> - <%= pergunta.getData() %></a>
                  
                    <div class="cleaner"></div>
                </li>
                <% } %>
               
            </ul>
        </div>
        
        <div class="cleaner"></div>
    </div>
    
    <div class="footer">
    </div>
</div>

</body>
</html>
