package mac5855.app.dao;

import mac5855.app.models.Pergunta;

public interface PerguntaDAO extends GenericDAO<Pergunta,Integer> {
	
	public Pergunta[] findAllByTituloAndCategoria(String titulo, Integer categoria);
	
	public Pergunta[] findByCategoriaId(int id);
	
	public void vote(int id, boolean voteThrough);

	public void addFavorite(int id, String userEmail);
	
	public boolean isFavorite(int id, String userEmail);

}
