<?xml version="1.0" encoding="UTF-8" ?>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<%@page import="mac5855.app.dao.PerguntaDAO"%>
<%@page import="mac5855.app.dao.DAOFactory"%>
<%@page import="mac5855.app.models.Pergunta"%>
<%@page import="mac5855.app.dao.RespostaDAO"%>
<%@page import="mac5855.app.models.Resposta"%>
<%@page import="java.text.NumberFormat"%><html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Untitled Document</title>
<link href="css/style.css" media="all" type="text/css" rel="stylesheet" />
</head>

<body>
	<jsp:include page="/header.jsp"></jsp:include>
<div id="centralizer">
	<div class="header">
    </div>
    
    <div id="pergunta" class="content">
    	<div class="question_box">
        	<h3>Pergunta</h3>
            <div class="dashed_separator"></div>
        	<label>Pergunta:</label>
        	<% 
				PerguntaDAO perguntaDAO = DAOFactory.getDAOFactory(1).getPerguntaDAO();
				Pergunta pergunta = perguntaDAO.findById(Integer.parseInt(request.getParameter("id")));
			%>

			<% if(pergunta != null) { %>
            <div class="question">
            	<%= pergunta.getTitulo() %>
            </div>
            <div class="cleaner separator"></div>
            <label>Categoria:</label>
            <div class="category">
            	<%= pergunta.getCategoria().getNome() %>
            </div>
            <% } %>
            <div class="cleaner dashed_separator"></div>
            <% if(session.getAttribute("User") != null) { %>
            <div class="action_buttons">
            	<a href="/PerguntaResposta/restricted/denuncia.jsp?pergunta_id=<%= pergunta.getId() %>">Denunciar</a>
                <form method='post' action="/PerguntaResposta/controller?business=RespostaController">
					<p>
							<label for="nome">Resposta:</label>
							<input type="text" name="titulo"/>
					</p>
					<p>
							<input type="hidden" name="pergunta_id" value="<%=pergunta.getId()%>"/>
								<input type="hidden" name="user_id" value="<%=pergunta.getUsuario().getId()%>"/>
					</p>	
					<p>
							<input type="submit" value="Responder"/>
					</p>
					
				</form>
            </div>
            <% } %>
        </div>
        
        <div class="separator"></div>
        
        <div class="answer_list_box">
        	<h3>Respostas</h3>
            <div class="dashed_separator"></div>
            <ul>
            	<% 	RespostaDAO dao = DAOFactory.getDAOFactory(DAOFactory.JDBC).getRespostaDAO();
					Resposta[] respostas = dao.findByPergunta(pergunta);
					int i = 0;
					for (Resposta resposta : respostas ) {
						String liClass = ((i % 2) == 0) ? "colored" : "";
						i++;
				%>
            	<li class="<%= liClass %>">
            		
                	<div class="actions">
                	
                	<% if(session.getAttribute("User") != null) { %>
                    	<a href="/PerguntaResposta/restricted/denuncia.jsp?resposta_id=<%= resposta.getId() %>">Denunciar</a>
                    <% } %>
                	
                	
                	<% 	double numPorcentagem = ((resposta.getVotoNegativo()+resposta.getVotoPositivo()) > 0) ? (resposta.getVotoNegativo().doubleValue()/(resposta.getVotoNegativo().doubleValue()+resposta.getVotoPositivo().doubleValue())) : 0;
                		NumberFormat formatter = NumberFormat.getPercentInstance();
                		String porcentagem = formatter.format(numPorcentagem); %>
                	
                	<% if(session.getAttribute("User") == null) { %>
                    	<a href="#" class="thumb_down">- <%= porcentagem %></a>
                    <% } else { %>
                    	<a href="/PerguntaResposta/controller?business=RespostaController&action=vote_down&id=<%= resposta.getId() %>" class="thumb_down">- <%= porcentagem %></a>                    		
                    <% } %>
                    
                    
                	<% 	numPorcentagem = ((resposta.getVotoNegativo()+resposta.getVotoPositivo()) > 0) ? (resposta.getVotoPositivo().doubleValue()/(resposta.getVotoNegativo().doubleValue()+resposta.getVotoPositivo().doubleValue())) : 0;
                	 	formatter = NumberFormat.getPercentInstance();
    					porcentagem = formatter.format(numPorcentagem); %>
                	<% if(session.getAttribute("User") == null) { %>
                		<a href="#" class="thumb_up">+ <%= porcentagem %></a>
                	<% } else { %>
                		<a href="/PerguntaResposta/controller?business=RespostaController&action=vote_through&id=<%= resposta.getId() %>" class="thumb_up">+ <%= porcentagem %></a>
                	<% } %>
    				
    				
                    </div>
                    
                	<%= resposta.getTitulo() %>
                    <div class="cleaner"></div>
                </li>
                <% } %>
                
            </ul>
        </div>
    </div>
    
    <div class="footer">
    </div>
</div>

</body>
</html>
